<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<AnchorPane prefHeight="480.0" prefWidth="566.0" style="-fx-background-color: #121212;" stylesheets="@../style.css" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.eugenegolobokin.bookapp.controller.BookInfoController">
   <children>
      <Label alignment="BASELINE_RIGHT" layoutX="59.0" layoutY="14.0" prefHeight="46.0" prefWidth="479.0" style="-fx-background-color: #121212;" text="BOOK info" textAlignment="RIGHT" textFill="#b3b3b3">
         <font>
            <Font size="39.0" />
         </font>
      </Label>
      <HBox layoutY="75.0" prefHeight="404.0" prefWidth="566.0" style="-fx-background-color: #212121;">
         <children>
            <ImageView fx:id="bookCover" fitHeight="284.0" fitWidth="200.0" pickOnBounds="true" preserveRatio="true">
               <HBox.margin>
                  <Insets top="60.0" />
               </HBox.margin>
            </ImageView>
            <VBox prefHeight="404.0" prefWidth="382.0">
               <children>
                  <TextField editable="false" text="Title">
                     <VBox.margin>
                        <Insets top="25.0" />
                     </VBox.margin>
                  </TextField>
                  <TextField fx:id="bookTitleFld" editable="false" style="-fx-background-color: #212121;">
                     <VBox.margin>
                        <Insets />
                     </VBox.margin>
                  </TextField>
                  <TextField editable="false" text="Authors">
                     <VBox.margin>
                        <Insets />
                     </VBox.margin>
                  </TextField>
                  <TextField fx:id="bookAuthorsFld" editable="false" style="-fx-background-color: #212121;">
                     <VBox.margin>
                        <Insets />
                     </VBox.margin>
                  </TextField>
                  <TextField cache="true" editable="false" text="Description">
                     <VBox.margin>
                        <Insets />
                     </VBox.margin>
                  </TextField>
                  <TextArea fx:id="bookDescriptionFld" editable="false" prefHeight="151.0" prefWidth="366.0" styleClass="text-area" wrapText="true">
                     <VBox.margin>
                        <Insets />
                     </VBox.margin>
                  </TextArea>
                  <HBox prefHeight="12.0" prefWidth="366.0">
                     <children>
                        <Button fx:id="seeReviewsBtn" alignment="BASELINE_LEFT" mnemonicParsing="false" onAction="#seeReviews" prefHeight="35.0" prefWidth="100.0" style="-fx-background-color: #212121;" text="See reviews" textFill="#b3b3b3" />
                        <Button fx:id="applyBtn" alignment="BOTTOM_CENTER" contentDisplay="RIGHT" disable="true" mnemonicParsing="false" onAction="#applyChanges" opacity="0.0" prefHeight="35.0" prefWidth="138.0" style="-fx-background-color: #f65e3c;" text="APPLY CHANGES" />
                        <Button fx:id="cancelBtn" alignment="BOTTOM_CENTER" contentDisplay="RIGHT" disable="true" mnemonicParsing="false" onAction="#reloadWindow" opacity="0.0" prefHeight="35.0" prefWidth="115.0" style="-fx-background-color: #7dd352;" text="CANCEL" />
                     </children>
                  </HBox>
               </children>
            </VBox>
         </children>
      </HBox>
      <Button fx:id="editBookBtn" layoutX="103.0" layoutY="24.0" mnemonicParsing="false" onAction="#editBook" prefHeight="35.0" prefWidth="119.0" style="-fx-background-color: #212121;" text="EDIT BOOK" textFill="#b3b3b3" />
      <Button fx:id="deleteBookBtn" layoutX="223.0" layoutY="24.0" mnemonicParsing="false" onAction="#deleteBook" prefHeight="35.0" prefWidth="119.0" style="-fx-background-color: #212121;" text="DELETE BOOK" textFill="#b3b3b3" />
      <Button fx:id="backBtn" layoutX="8.0" layoutY="24.0" mnemonicParsing="false" onAction="#back" prefHeight="35.0" prefWidth="93.0" style="-fx-background-color: #212121;" text="&lt; BACK" textFill="#b3b3b3" />
   </children>
</AnchorPane>
